#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: service_quota.pl,v 1.2 2001/11/12 21:45:45 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
#
# manages the per-site log user account and ServiceQuota object
# for site-level split logs and usage stats

use CCE;

my $DEBUG = 0;
$DEBUG && open STDERR, ">/tmp/service_quota";
$DEBUG && warn `date`."$0\n";

my $cce = new CCE;
$cce->connectfd();

my $err; # Global error message/return state

# We're triggered on Vsite create/mod/edit
my $oid = $cce->event_oid(); 

# Fetch quotas
my ($ok, $obj) = $cce->get($oid); # Vsite
my ($aok, $obj_disk) = $cce->get($oid, 'Disk'); # Vsite.Disk

$DEBUG && warn "Disk object load: $aok, $obj_disk->{quota}\n";

# Find matching ServiceQuota objects
my @oids = $cce->find('ServiceQuota', {
	'site' => $obj->{name},
	'label' => '[[base-sitestats.statsQuota]]',
	}); 

if ($obj_disk->{quota})
{
	foreach my $i (@oids)
	{
		my ($ret) = $cce->set($i, '', {
			'quota' => $obj_disk->{quota}
			});
		$err .= '[[base-sitestats.couldNotUpdateStatsQuotaMon]]' 
			unless ($ret);
	}
} 

if($err)
{
	$cce->bye('FAIL', $err);
	exit 1;
}
else
{
	$cce->bye('SUCCESS');
	exit 0;
}

