#!/bin/sh
#
# $Id: updatestats.sh,v 1.6 2001/12/14 03:56:55 pbaltz Exp $
# Copyright 2001 Sun Microsystems, Inc.  All rights reserved.
# Updates network/daemon stats to the present day
#

YEAR=`date +%Y`
MONTH=`date +%m | sed "s/^0//"`
DAY=`date +%d | sed "s/^0//"`
DATE="$YEAR/$MONTH/$DAY/"

cp /etc/analog.cfg.tmpl /etc/analog.cfg

case "$1" in 
	net)
		/etc/cron.hourly/log_traffic >/dev/null 2>&1
		/usr/local/sbin/split_logs net $DATE < /var/log/ipacct
	;;

	web)
		/usr/local/sbin/split_logs web $DATE < /var/log/httpd/access
	;;

	mail)
		/usr/local/sbin/maillog2commonlog.pl sendmail \
		< /var/log/maillog | /usr/local/sbin/split_logs mail $DATE 
	;;

	ftp)
		/usr/local/sbin/ftplog2commonlog < /var/log/xferlog \
		| /usr/local/sbin/split_logs ftp $DATE
	;;

	*)
		$0 net
		$0 web
		$0 mail
		$0 ftp
	;;
esac

exit 0;

